Subject: rm7k

From: Pete Popov <[email-masked]>
Date: 26 Oct 2001 15:00:53 -0700

Ralf,

tlb-r4k.c is used for the rm7k, but this piece in probe_tlb() fails:

if (!(config & (1 << 31)))
     /* 
      * Not a MIPS32 complianant CPU.  Config 1 register not
      * supported, we assume R4k style.  Cpu probing already figured
      * out the number of tlb entries.
      */
      return;

Bit 31 on the rm7k indicates whether or not scache is present. If scache
is not present (disabled), the above test passes and we end up reading
config1, which doesn't exist, so we setup the tlbsize to a bogus value.

Pete